<!DOCTYPE html>
<html lang="en">
<%- include('./partials/head', {title : locals.title }) %>

    <body>
        <script src="https://www.google.com/recaptcha/api.js"></script>

        
        <%- include('./partials/header') %>

        <main id="contenido" class="cuerpo-contenido">
            <div class="cuerpo">
                <div class="cuerpoCont">
                    <section class="d-flex justify-content-center">
                        <div class="access-panel row col-12">

                            <div id="seccionError" class="m-auto">
                                <% if (locals.mensaje){ %>
                                    <% if(typeof locals.mensaje == typeof {}) { %>
                                        <div class="alert alert-<%= ( locals.ok == true ) ? 'success' : 'danger' %> align-items-center" role="alert">
                                            <ul class="mb-0">
                                                <% locals.mensaje.forEach(item => { %>
                                                    <li>
                                                        <b><%= item.msg %></b>
                                                    </li>
                                                <% }) %>
                                            </ul>                                                                                                                                              
                                        </div>
                                    <% } else { %>
                                        <div class="alert alert-<%= ( locals.ok == true ) ? 'success' : 'danger' %> align-items-center" role="alert">
                                            <span> 
                                                <b>
                                                    <%= locals.mensaje%>
                                                </b>
                                            </span>
                                        </div>
                                    <% } %>
                                <% } %>
                            </div>

                            <div class="col-12 text-center login px-5 px-lg-0">
                                <div class="col-12 login">
                                    <div class="form-block">
                                        <div class="form-container">
                                            <form class="form-horizontal" action="/login" method="post" id="login-form">
                                                <div class="form-group">

                                                    <label for="username">Usuario</label>
                                                    <input 
                                                        type="text"
                                                        id="username"
                                                        class="form-control"
                                                        name="username"
                                                        value=""
                                                        placeholder="Ingrese el nombre de usuario"
                                                    >

                                                    <label for="password">Contraseña</label>
                                                    <input
                                                        type="password"
                                                        id="password"
                                                        class="form-control"
                                                        name="password"
                                                        placeholder="Ingrese la contraseña"
                                                    >
                                                </div>
                                                <div class="btn-institucional mt-4">
                                                    <button 
                                                        class="g-recaptcha btn-submit " 
                                                        id="btn-enviar"
                                                        type="submit"
                                                        data-sitekey="6Lc6ChomAAAAACuySqrrdrE8qeyQnJIixB2K2_iW"
                                                        data-callback='onSubmit' 
                                                        data-action='submit'
                                                        >
                                                        Ingresar
                                                    </button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </main>

        <script src="/js/loginFormValidator.js"></script>
        <script>
            function onSubmit(token) {
              document.getElementById("login-form").submit();
            }
        </script>

        <%- include('./partials/footer') %>
    </body>

</html>